/* Sketch: sound detecting mic

Switches LED on or off when the mic detects a sound..
Electret microphone connected to A0, LED and series
resistor connected to digital pin 2.

W.A. Smith, 6 April 2016, http://startingelectronics.org
modified J. Gálvez, 23.04.2018 
*/

const int micPin=A0;
const int ledPin=2;
int analog_val;                       // analog value read from A2
const int sound_level=10;

void setup() {
  Serial.begin(9600);                // using serial port to check analog value
  pinMode(ledPin, OUTPUT);           // LED on digital pin 2
}

void loop() {
  static bool led_state = false;     // current state of LED
  
  analog_val = analogRead(micPin);

  if (analog_val > sound_level) {    // trigger threshold
    // toggle LED
    if (led_state) {
      led_state = false;             // LED was on, now off
      digitalWrite(ledPin, LOW);
      Serial.println(analog_val);    // print analog value for debug purposes
    }
    else {
      led_state = true;
      digitalWrite(ledPin, HIGH);    // LED was off, now on
      Serial.println(analog_val);
    }
    delay(50);  // wait for clap noise to subside
  }
}


