/* sound detecting mic

Switches LED on while the mic is detecting a sound.
Electret microphone connected to A0, LED and series
resistor connected to digital pin 2.

W.A. Smith, 6 April 2016, http://startingelectronics.org
modified J. Gálvez, 23.04.2018 
modified J. Gálvez, 24.04.2018 
*/

const int micPin=A0;
const int ledPin=2;
int analog_val;                      // analog value read from A2
const int sound_level=5;

void setup() {
  Serial.begin(9600);               // using serial port to check analog value
  pinMode(ledPin, OUTPUT);          // LED on digital pin 2
}

void loop() {
  static bool led_state = false;    // current state of LED
  
  analog_val = analogRead(micPin);

  if (analog_val > sound_level) {   // trigger threshold
      led_state = true;
      digitalWrite(ledPin, HIGH);
      Serial.println(analog_val);   // LED was off, now on
      delay(50);
    }
  else {
      led_state = false;
      digitalWrite(ledPin, LOW);    // LED turns off
    }
  }



